package mate.test;

import javax.annotation.Resource;
import javax.annotation.security.DeclareRoles;
import javax.annotation.security.RolesAllowed;
import javax.ejb.EJBContext;
import javax.ejb.Stateless;


@Stateless
@DeclareRoles("bean")
public class TestBean implements TestBeanRemote {
 
        @Resource
        private EJBContext context;
 
        @Override
        @RolesAllowed("bean")
        public String getName ()
        {
                return getNameFree();
        }
 
        @Override
        public String getNameFree ()
        {
                String aName = "";
                if (context.getCallerPrincipal() != null) {
                        aName = context.getCallerPrincipal().getName();
                }
                return "name " + aName + " " + context.isCallerInRole("bean");
        }
}